/*
 * Author: Mari Wang <mariw@tartarus.uwa.edu.au>
 * Date: 1999-11-27
 *
 * Test speed of RoBIOS functions.
 */

#include <eyebot.h>
#include <stdio.h>
#include "../timerheader.h"

int
main(int argc, char *argv[])
{
  char *function_type = "AUDIO functions"; /* Fill in adequate name of
					    * functions currently being
					    * tested */

  /* File specific variables (those needed for testing */

  index_x += init_test(function_type);

  /* Functions to be tested go here.
   * Semantics:
   * do_test(function_name, parameters);
   */

  do_test(AUBeep,());
  do_test(AUCheckSample,());
  do_test(AUCaptureMic, ());
  do_test(AUCheckTone, ());
  do_test(AUCheckRecord, ());


#if 0
  do_test(AUTone, (400, 10));

  int AUTone(int freq, int msec);
  int AUPlaySample(char* sample);
  int AURecordSample(BYTE* buf, long len, long freq);
#endif
  end_test();

  return 0;
}
